Bug 858922 - release should catch IOError during flush
release should catch IOError during flush
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-concurrentloghandler (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Callaghan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 00:07 EDT by Amit Saha
Modified: 2015-07-26 18:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-concurrentloghandler-0.8.4-9.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 21:06:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Patch (something like that) (378 bytes, text/plain)
2012-09-20 00:07 EDT, Amit Saha
no flags Details

  None (edit)
Description Amit Saha 2012-09-20 00:07:38 EDT
Created attachment 614668 [details]
Proposed Patch (something like that)

Description of problem:

IOError should be caught during flush, for events such as a disk full and the logs cannot be flushed out successfully. 

Version-Release number of selected component (if applicable):

0.8.4-7

How reproducible:

Sporadic, may be.

Steps to Reproduce:
1. See description
2.
3.
  
Actual results:

Crash


Expected results:

Catch the exception and possibly log it into the system log.

Additional info:
Comment 1 Dan Callaghan 2013-05-16 03:05:12 EDT
Right, the logging handlers in the stdlib do avoid raising at all costs (exceptions in the emit method are caught and self.handleError is called, which by default discards the exception). So it makes sense to do the same for the flush call here.
Comment 2 Fedora Update System 2013-05-16 03:41:25 EDT
python-concurrentloghandler-0.8.4-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-concurrentloghandler-0.8.4-9.fc18
Comment 3 Fedora Update System 2013-05-16 03:42:36 EDT
python-concurrentloghandler-0.8.4-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-concurrentloghandler-0.8.4-9.fc17
Comment 4 Fedora Update System 2013-05-16 03:43:10 EDT
python-concurrentloghandler-0.8.4-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-concurrentloghandler-0.8.4-9.fc19
Comment 5 Fedora Update System 2013-05-16 23:29:19 EDT
Package python-concurrentloghandler-0.8.4-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-concurrentloghandler-0.8.4-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8400/python-concurrentloghandler-0.8.4-9.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-24 16:45:12 EDT
python-concurrentloghandler-0.8.4-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-27 21:05:08 EDT
python-concurrentloghandler-0.8.4-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-05-27 21:06:46 EDT
python-concurrentloghandler-0.8.4-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.